#include <iostream>
#include <vector>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> v;

    for(int i = 0; i < n; i++){
        int num;
        cin >> num;
        v.push_back(num);
    }

    /*for(int i = 0; i < v.size(); i++){
        printf("%d", v[i]);
    }*/


    int counter = 0;
    for(int i = 0; i < v.size()-1; i++){
        for(int j = i; j < v.size(); j++){
            if ((v[i] * v[j]) % 2 == 0){
                counter++;
            }
        }
    }
    printf("%d", counter);
}
